PayPoint
  1. API Access Token
PayPoint
  • API Access Token
    • Retrieve Access Token
      POST
  • Pre-Paid Airtime Reload
    • Lookup Mobile Number Products
      POST
    • Fetch Airtime Transaction Receipts
      POST
    • Recharge Mobile Number
      POST
    • Fetch Latest Transaction
      POST
    • Lookup Mobile Number Products
      GET
    • Get Airtime Transaction Receipts
      GET
    • Get Transaction
      GET
    • Get Latest Transaction
      GET
    • Get All Products
      GET
    • Get Product Sku By Product ID
      GET
    • Get All Product Skus
      GET
    • Get Product Sku By ID
      GET
    • Get All Products By Operator Id
      GET
    • Get All Products By Country Code
      GET
  • Pay TV Subscription Payments
    • Fetch PayTV Transaction Receipts
      POST
    • Pay TV Subscription
      POST
    • Fetch Latest Pay TV Transaction
      POST
    • Lookup Pay TV Account
      POST
    • Get PayTV Transaction Receipts
      GET
    • Get Pay TV Transaction
      GET
    • Get Latest Pay TV Transaction
      GET
    • Lookup Pay TV Account
      GET
    • Lookup Pay TV Account Copy
      POST
  • Energy Voucher Purchase
    • Fetch Energy Transaction Receipts
      POST
    • Fetch Latest Energy Voucher Transaction
      POST
    • Purchase Energy Voucher
      POST
    • Lookup Energy Bill Payer Account
      POST
    • Get Energy Transaction Receipts
      GET
    • Get Energy Voucher Transaction
      GET
    • Get Latest Energy Voucher Transaction
      GET
    • Lookup Energy Bill Payer Account
      GET
  • Bill Presentation and Payments - Bill Payments
    • Get Customer Paid Bills
    • Pay Bill
    • Pre-Pay Bill Validation
    • Get Payment Details
  • Bill Presentation and Payments - Bill Charges
    • Calculate Bill Charges
  • Bill Presentation and Payments - Billers
    • Search Billing Company Details
    • Search Billing Company Details
    • Get Billing Company Details By Id
  • Bill Presentation and Payments - Bill Subscription
    • Subscribe to a Bill
    • Cancel Bill Subscription
  • Bill Presentation and Payments - Bill Enquiry
    • Search Bills By Search Criteria
    • Search Bill By Query Parameters
  • Schemas
    • Schemas
      • AccountBillTransactionReceiptCriteria
      • InstantFilter
      • StringFilter
      • Cause
      • ErrorResponse
      • BillPaymentDetail
      • BillPaymentOrderReceipt
      • BillPaymentReceiptResponse
      • EntityProfile
      • ItemPagination
      • ProductDetail
      • BillPayment
      • BillPaymentRequest
      • BillPaymentResponse
      • AccountNumberLookupRequest
      • AccountDetails
      • AccountResponse
      • EBPPBillPaymentResponse
      • AdditionalDataDetails
      • ChargeDetails
      • EBPPBillPaymentDetails
      • EBPPBillPaymentRequest
      • EBPPBillValidateResponse
      • EBPPCalculateBillChargesResponse
      • BillDetail
      • EBPPCalculateBillChargesRequest
      • AdditionalDataRequired
      • BillCompanyBasicDetail
      • EBPPBillerDetailsResponse
      • GenericLink
      • TransactionLinks
      • EBPPBillCompanyDetailSearchCriteria
      • EBPPBillSubscriptionRequest
      • AllowedSourceId
      • Bill
      • BillAccount
      • BillCompanyDetail
      • BillCustomerEntity
      • EBPPBillEnquiryResponse
      • EBPPBillEnquirySearchCriteria
      • SimInformation
      • TopUpDetail
      • TopUpOrderReceipt
      • TopUpReceiptsResponse
      • TopUp
      • TopUpRequest
      • TopUpResponse
      • MobileNumberLookupRequest
      • TopUpProduct
      • TopUpProductLookUpResponse
      • TopUpSku
      • EBPPPaymentHistoryResponse
      • PaymentHistoryDetail
      • DenominationRange
      • RechargeBundleProduct
      • RechargeBundleProductSku
      • RechargeProductCatalogueResponse
      • RechargeProductCatalogueSkuResponse
  1. API Access Token

Retrieve Access Token

Testing Env
https://sandbox.paypoint.blackkonnect.io/services/blackkonnectpaypointswitch
Testing Env
https://sandbox.paypoint.blackkonnect.io/services/blackkonnectpaypointswitch
POST
https://sandbox.paypoint.blackkonnect.io/services/blackkonnectpaypointswitch
/api/access-token/token
Maintainer:Not configured
Provides an OAuth2 access token to grant access to protected API resources. Supports multiple OAuth2 grant types, including password, client_credentials, and refresh_token. Request must be sent as application/x-www-form-urlencoded.

Request

Body Params application/x-www-form-urlencoded

Responses

🟢200OK
application/json
Authentication successful. Access token retrieved.
Body

🟠400Bad Request
🟠401Unauthorized
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://sandbox.paypoint.blackkonnect.io/services/blackkonnectpaypointswitch/api/access-token/token' \
--data-urlencode 'grant_type=client_credentials' \
--data-urlencode 'client_id={{clientId2Bsb}}' \
--data-urlencode 'client_secret={{clientSecret2Bsb}}'
Response Response Example
200 - JWT Example
{"token":"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.
eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.
SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c"}
Modified at 2025-07-19 13:22:34
Next
Lookup Mobile Number Products
Built with